using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BRServer.IDAL;

namespace BRServer.BLL
{
    public class BR
    {
        private static BR br;

        private BR()
        {
        }

        public static BR getInstance()
        {
            if (br == null)
            {
                br = new BR();
            }
            return br;
        }

        /// <summary>
        /// A method to insert a new Adapter
        /// </summary>
        /// <param name="djs">An adapter entity with information about the new adapter</param>
        public void insert(List<Model.BR> djs)
        {
            if (djs.Count <= 0)
            {
                return;
            }

            IBR dal = DALFactory.BR.Create();
            dal.insert(djs);
            

        }

        /**
         *sequeceName:需要更新的序列名称
         *key:主键字段名称
         *tableName:表名称
         */
        public void updateSequence(String sequeceName)
        {
            IBR dal = DALFactory.BR.Create();
            dal.updateSequence(sequeceName);
        }

    }
}
